## psh-0.2.1.tar.gz

=== Makefile ===
.PHONY: build check install doc dist rpm_sources srpm rpm clean

PROJECT := psh
PYTHON := python
TEST_ENV_PATH := test-env
CHECK_PYTHON_VERSIONS := 2 3
RPM_SOURCES_PATH := ~/rpmbuild/SOURCES

build:
	$(PYTHON) setup.py build

check:
	@mkdir -p "$(TEST_ENV_PATH)"
	@set -e; for version in $(CHECK_PYTHON_VERSIONS); do \
		echo; echo "Testing $(PROJECT) with python$$version..."; echo; \
		env_path="$(TEST_ENV_PATH)/python$$version"; \
		if [ ! -e "$$env_path" ]; then \
			virtualenv --python python$$version --distribute "$$env_path" && \
				"$$env_path/bin/pip" install pytest || { rm -rf "$$env_path"; false; }; \
		fi; \
		"$$env_path/bin/python" setup.py test; \
	done

install:
	$(PYTHON) setup.py install

doc:
	make -C doc html

dist: clean
	$(PYTHON) setup.py sdist

rpm_sources: dist
	cp dist/* $(RPM_SOURCES_PATH)/

srpm: rpm_sources
	rpmbuild -bs python-$(PROJECT).spec

rpm: rpm_sources
	rpmbuild -ba python-$(PROJECT).spec

pypi: clean
	$(PYTHON) setup.py sdist upload

clean:
	@make -C doc clean
	rm -rf build dist $(PROJECT).egg-info $(TEST_ENV_PATH)

=== PKGBUILD ===
# Maintainer: Nekolyanich <gmail@nekolyanich.com>
pkgname=python2-psh
pkgver=0.2.1
pkgrel=1
pkgdesc="psh allows you to spawn processes in Unix shell-style way"
arch=("i686" "x86_64")
url="http://konishchevdmitry.github.com/psh/"
license=("GPL3")
depends=("python2")
makedepends=("git")
provides=("python2-psh")
conflicts=()
replaces=()
backup=()
options=(!emptydirs)
source=()
md5sums=()

_gitroot="git://github.com/KonishchevDmitry/psh.git"
_gitname="psh"

build () {
  cd "$srcdir"
  msg "Connecting to GIT server...."

  if [ -d $_gitname ] ; then
    cd $_gitname && git pull origin
    msg "The local files are updated."
  else
    git clone $_gitroot $_gitname
  fi

  msg "GIT checkout done or server timeout"
  msg "Starting make..."

  rm -rf "$srcdir/$_gitname-build"
  git clone "$srcdir/$_gitname" "$srcdir/$_gitname-build"
  cd "$srcdir/$_gitname-build"
  python2 setup.py install --root="$pkgdir/" --optimize=1
}


# vim:set ts=2 sw=2 et:
